'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var cn = require('classnames');
var coreComponentsTypography = require('@alfalab/core-components-typography');
var context_fileUploadItemContext = require('../../context/file-upload-item-context.js');
var components_content_components_contentSubtitle_contentSubtitle = require('./components/content-subtitle/content-subtitle.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);
var cn__default = /*#__PURE__*/_interopDefaultCompat(cn);

var styles = {"container":"file-upload-item__container_goym5","single":"file-upload-item__single_goym5","title":"file-upload-item__title_goym5","truncate":"file-upload-item__truncate_goym5","restore":"file-upload-item__restore_goym5"};
require('./content.css')

var Content = function () {
    var _a, _b;
    var _c = React.useContext(context_fileUploadItemContext.FileUploadItemContext), title = _c.title, CustomContent = _c.customContent, truncate = _c.truncate, subtitle = _c.subtitle, showRestore = _c.showRestore;
    if (CustomContent) {
        return React__default.default.createElement(CustomContent, null);
    }
    return (React__default.default.createElement("div", { className: cn__default.default(styles.container, (_a = {},
            _a[styles.single] = !subtitle,
            _a)) },
        title && (React__default.default.createElement(coreComponentsTypography.Text, { className: cn__default.default(styles.title, (_b = {},
                _b[styles.truncate] = truncate,
                _b[styles.restore] = showRestore,
                _b)), view: 'component', color: 'primary' }, title)),
        React__default.default.createElement(components_content_components_contentSubtitle_contentSubtitle.ContentSubtitle, null)));
};

exports.Content = Content;
