'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var context_fileUploadItemContext = require('../../context/file-upload-item-context.js');
var components_actionsControl_components_deleteButton_deleteButton = require('./components/delete-button/delete-button.js');
var components_actionsControl_components_downloadButton_downloadButton = require('./components/download-button/download-button.js');
var components_actionsControl_components_restoreButton_restoreButton = require('./components/restore-button/restore-button.js');
var styles = require('./actions-control.module.css');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);
var styles__default = /*#__PURE__*/_interopDefaultCompat(styles);

var Actions = function () {
    var _a = React.useContext(context_fileUploadItemContext.FileUploadItemContext), showRestore = _a.showRestore, downloadLink = _a.downloadLink, showDelete = _a.showDelete;
    return (React__default.default.createElement("div", { className: styles__default.default.container },
        showRestore && React__default.default.createElement(components_actionsControl_components_restoreButton_restoreButton.RestoreButton, null),
        Boolean(downloadLink) && !showRestore && React__default.default.createElement(components_actionsControl_components_downloadButton_downloadButton.DownloadButton, null),
        showDelete && !showRestore && React__default.default.createElement(components_actionsControl_components_deleteButton_deleteButton.DeleteButton, null)));
};

exports.Actions = Actions;
