'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var coreComponentsIconButton = require('@alfalab/core-components-icon-button/cssm');
var CrossMIcon = require('@alfalab/icons-glyph/CrossMIcon');
var context_fileUploadItemContext = require('../../../../context/file-upload-item-context.js');
var styles = require('../../actions-control.module.css');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);
var CrossMIcon__default = /*#__PURE__*/_interopDefaultCompat(CrossMIcon);
var styles__default = /*#__PURE__*/_interopDefaultCompat(styles);

var DeleteButton = function () {
    var _a = React.useContext(context_fileUploadItemContext.FileUploadItemContext), _b = _a.id, id = _b === void 0 ? '0' : _b, disableButtons = _a.disableButtons, onDelete = _a.onDelete;
    var handleDelete = function (e) {
        if (onDelete) {
            onDelete(id, e);
        }
    };
    return (React__default.default.createElement(coreComponentsIconButton.IconButton, { className: styles__default.default.icon, size: 'xxs', "aria-label": '\u0443\u0434\u0430\u043B\u0438\u0442\u044C', icon: React__default.default.createElement(CrossMIcon__default.default, { className: styles__default.default.deleteIconColor }), disabled: disableButtons, onClick: handleDelete }));
};

exports.DeleteButton = DeleteButton;
