'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var coreComponentsIconButton = require('@alfalab/core-components-icon-button/cssm');
var ArrowDownLineDownCompactMIcon = require('@alfalab/icons-glyph/ArrowDownLineDownCompactMIcon');
var context_fileUploadItemContext = require('../../../../context/file-upload-item-context.js');
var styles = require('../../actions-control.module.css');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);
var ArrowDownLineDownCompactMIcon__default = /*#__PURE__*/_interopDefaultCompat(ArrowDownLineDownCompactMIcon);
var styles__default = /*#__PURE__*/_interopDefaultCompat(styles);

var DownloadButton = function () {
    var _a = React.useContext(context_fileUploadItemContext.FileUploadItemContext), _b = _a.id, id = _b === void 0 ? '0' : _b, downloadLink = _a.downloadLink, download = _a.download, disableButtons = _a.disableButtons, target = _a.target, onDownload = _a.onDownload;
    var handleDownload = function (e) {
        if (onDownload) {
            e.preventDefault();
            onDownload(id);
        }
    };
    return (React__default.default.createElement(coreComponentsIconButton.IconButton, { className: styles__default.default.icon, size: 'xxs', "aria-label": '\u0441\u043A\u0430\u0447\u0430\u0442\u044C', icon: React__default.default.createElement(ArrowDownLineDownCompactMIcon__default.default, { className: styles__default.default.downloadIconColor }), disabled: disableButtons, href: downloadLink, download: download, target: target, onClick: handleDownload }));
};

exports.DownloadButton = DownloadButton;
