'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var cn = require('classnames');
var coreComponentsTypography = require('@alfalab/core-components-typography/cssm');
var context_fileUploadItemContext = require('../../context/file-upload-item-context.js');
var components_content_components_contentSubtitle_contentSubtitle = require('./components/content-subtitle/content-subtitle.js');
var styles = require('./content.module.css');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);
var cn__default = /*#__PURE__*/_interopDefaultCompat(cn);
var styles__default = /*#__PURE__*/_interopDefaultCompat(styles);

var Content = function () {
    var _a, _b;
    var _c = React.useContext(context_fileUploadItemContext.FileUploadItemContext), title = _c.title, CustomContent = _c.customContent, truncate = _c.truncate, subtitle = _c.subtitle, showRestore = _c.showRestore;
    if (CustomContent) {
        return React__default.default.createElement(CustomContent, null);
    }
    return (React__default.default.createElement("div", { className: cn__default.default(styles__default.default.container, (_a = {},
            _a[styles__default.default.single] = !subtitle,
            _a)) },
        title && (React__default.default.createElement(coreComponentsTypography.Text, { className: cn__default.default(styles__default.default.title, (_b = {},
                _b[styles__default.default.truncate] = truncate,
                _b[styles__default.default.restore] = showRestore,
                _b)), view: 'component', color: 'primary' }, title)),
        React__default.default.createElement(components_content_components_contentSubtitle_contentSubtitle.ContentSubtitle, null)));
};

exports.Content = Content;
