import React, { useContext } from 'react';
import { IconButton } from '@alfalab/core-components-icon-button/esm';
import CrossMIcon from '@alfalab/icons-glyph/CrossMIcon';
import { FileUploadItemContext } from '../../../../context/file-upload-item-context.js';
import { s as styles } from '../../../../actions-control.module-e32db318.js';

var DeleteButton = function () {
    var _a = useContext(FileUploadItemContext), _b = _a.id, id = _b === void 0 ? '0' : _b, disableButtons = _a.disableButtons, onDelete = _a.onDelete;
    var handleDelete = function (e) {
        if (onDelete) {
            onDelete(id, e);
        }
    };
    return (React.createElement(IconButton, { className: styles.icon, size: 'xxs', "aria-label": '\u0443\u0434\u0430\u043B\u0438\u0442\u044C', icon: React.createElement(CrossMIcon, { className: styles.deleteIconColor }), disabled: disableButtons, onClick: handleDelete }));
};

export { DeleteButton };
