'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var coreComponentsIconButton = require('@alfalab/core-components-icon-button');
var ArrowsCwCompactMIcon = require('@alfalab/icons-glyph/ArrowsCwCompactMIcon');
var context_fileUploadItemContext = require('../../../../context/file-upload-item-context.js');
var actionsControl_module = require('../../../../actions-control.module-4c64f0ce.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);
var ArrowsCwCompactMIcon__default = /*#__PURE__*/_interopDefaultCompat(ArrowsCwCompactMIcon);

var RestoreButton = function () {
    var _a = React.useContext(context_fileUploadItemContext.FileUploadItemContext), _b = _a.id, id = _b === void 0 ? '0' : _b, disableButtons = _a.disableButtons, onRestore = _a.onRestore;
    var handleRestore = function () {
        if (onRestore) {
            onRestore(id);
        }
    };
    return (React__default.default.createElement(coreComponentsIconButton.IconButton, { className: actionsControl_module.styles.icon, size: 'xxs', "aria-label": '\u0432\u043E\u0441\u0441\u0442\u0430\u043D\u043E\u0432\u0438\u0442\u044C', icon: React__default.default.createElement(ArrowsCwCompactMIcon__default.default, { className: actionsControl_module.styles.restoreIconColor }), disabled: disableButtons, onClick: handleRestore }));
};

exports.RestoreButton = RestoreButton;
