import React, { useContext } from 'react';
import { IconButton } from '@alfalab/core-components-icon-button/esm';
import ArrowsCwCompactMIcon from '@alfalab/icons-glyph/ArrowsCwCompactMIcon';
import { FileUploadItemContext } from '../../../../context/file-upload-item-context.js';
import { s as styles } from '../../../../actions-control.module-e32db318.js';

var RestoreButton = function () {
    var _a = useContext(FileUploadItemContext), _b = _a.id, id = _b === void 0 ? '0' : _b, disableButtons = _a.disableButtons, onRestore = _a.onRestore;
    var handleRestore = function () {
        if (onRestore) {
            onRestore(id);
        }
    };
    return (React.createElement(IconButton, { className: styles.icon, size: 'xxs', "aria-label": '\u0432\u043E\u0441\u0441\u0442\u0430\u043D\u043E\u0432\u0438\u0442\u044C', icon: React.createElement(ArrowsCwCompactMIcon, { className: styles.restoreIconColor }), disabled: disableButtons, onClick: handleRestore }));
};

export { RestoreButton };
