import { createContext } from 'react';

var FileUploadItemContext = createContext({
    showRestore: false,
    uploadStatus: 'INITIAL',
    error: undefined,
    title: '',
    subtitle: '',
    uploadDate: '',
    size: 0,
    id: '0',
    onDownload: undefined,
    onDelete: undefined,
    onRestore: undefined,
    downloadLink: '',
    download: '',
    disableButtons: false,
    target: undefined,
    showDelete: false,
    iconStyle: 'gray',
    customIcon: undefined,
    progressBar: 0,
    customContent: undefined,
    truncate: false,
    imageUrl: undefined,
});

export { FileUploadItemContext };
